
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSVehicleModelType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSVehicleModelType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Generation" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="CodeOM" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="ModelYear" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="LocalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="ModelFrom" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="ModelTo" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSVehicleModelType", propOrder = {
    "code",
    "name",
    "generation",
    "codeOM",
    "modelYear",
    "localName",
    "modelFrom",
    "modelTo"
})
public class WSVehicleModelType {

    @XmlElement(name = "Code", nillable = true)
    protected String code;
    @XmlElement(name = "Name", nillable = true)
    protected String name;
    @XmlElement(name = "Generation", nillable = true)
    protected Integer generation;
    @XmlElement(name = "CodeOM", nillable = true)
    protected String codeOM;
    @XmlElement(name = "ModelYear", nillable = true)
    protected Integer modelYear;
    @XmlElement(name = "LocalName", nillable = true)
    protected String localName;
    @XmlElement(name = "ModelFrom", nillable = true)
    protected Integer modelFrom;
    @XmlElement(name = "ModelTo", nillable = true)
    protected Integer modelTo;

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the generation property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getGeneration() {
        return generation;
    }

    /**
     * Sets the value of the generation property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setGeneration(Integer value) {
        this.generation = value;
    }

    /**
     * Gets the value of the codeOM property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCodeOM() {
        return codeOM;
    }

    /**
     * Sets the value of the codeOM property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCodeOM(String value) {
        this.codeOM = value;
    }

    /**
     * Gets the value of the modelYear property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getModelYear() {
        return modelYear;
    }

    /**
     * Sets the value of the modelYear property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setModelYear(Integer value) {
        this.modelYear = value;
    }

    /**
     * Gets the value of the localName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLocalName() {
        return localName;
    }

    /**
     * Sets the value of the localName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLocalName(String value) {
        this.localName = value;
    }

    /**
     * Gets the value of the modelFrom property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getModelFrom() {
        return modelFrom;
    }

    /**
     * Sets the value of the modelFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setModelFrom(Integer value) {
        this.modelFrom = value;
    }

    /**
     * Gets the value of the modelTo property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getModelTo() {
        return modelTo;
    }

    /**
     * Sets the value of the modelTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setModelTo(Integer value) {
        this.modelTo = value;
    }

    public WSVehicleModelType withCode(String value) {
        setCode(value);
        return this;
    }

    public WSVehicleModelType withName(String value) {
        setName(value);
        return this;
    }

    public WSVehicleModelType withGeneration(Integer value) {
        setGeneration(value);
        return this;
    }

    public WSVehicleModelType withCodeOM(String value) {
        setCodeOM(value);
        return this;
    }

    public WSVehicleModelType withModelYear(Integer value) {
        setModelYear(value);
        return this;
    }

    public WSVehicleModelType withLocalName(String value) {
        setLocalName(value);
        return this;
    }

    public WSVehicleModelType withModelFrom(Integer value) {
        setModelFrom(value);
        return this;
    }

    public WSVehicleModelType withModelTo(Integer value) {
        setModelTo(value);
        return this;
    }

}
